Bug 1144249 - Drop jasper dependency from libqt5-qtimageformats
Drop jasper dependency from libqt5-qtimageformats
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Michael Vetter
E-mail List
:
Depends on:
Blocks: 1130404
  Show dependency treegraph
 
Reported: 2019-08-05 09:29 UTC by Michael Vetter
Modified: 2022-01-12 14:45 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Vetter 2019-08-05 09:29:58 UTC
Regarding bsc#1130404.

We plan to drop libjasper from the repos.
Let's remove the build dependcy on libjasper from libqt5-qtimageformats, and thus disable JPEG2000 support.
Comment 1 Michael Vetter 2019-09-03 12:07:08 UTC
SR#727995 to KDE:Qt:5.13/libqt5-qtimageformats
Comment 2 Swamp Workflow Management 2019-09-03 12:50:06 UTC
This is an autogenerated message for OBS integration:
This bug (1144249) was mentioned in
https://build.opensuse.org/request/show/727997 Factory / libqt5-qtimageformats
Comment 3 Michael Vetter 2019-09-03 14:22:57 UTC
SR#727997 to Factory
Comment 4 Michael Vetter 2019-09-09 08:31:04 UTC
SR#727997 accepted.
Comment 5 Bruno Friedmann 2020-01-01 16:28:35 UTC
As jasper being again supported (CVE etc), and as there's no alternative for qt could we have a more detailled explanation than just we plan to ?
Comment 6 Michael Vetter 2020-01-03 09:13:04 UTC
Not sure what kind of detailed explanation you are looking for. I think it's all clearly documented here on bugzilla.

Comment 1 mentions that this regards https://bugzilla.suse.com/show_bug.cgi?id=1130404 which has all the details and links for further reading.